
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using APT.Infrastructure.Core;

namespace APT.MS.Domain.Entities.HM
{
    /// <summary>
    /// 导航属性：危险源及风险库相关设施
    /// </summary>
    [Description("导航属性：危险源及风险库相关设施")]
    public class T_HM_EVALUATE_RISK_FACILITIES : MesEntityBase
    {
        /// <summary>
        /// 危险源及风险库ID
        /// </summary>
        [Description("危险源及风险库ID")]
        [DataFieldForeignKey("Nav_EvaluationRisk", "Nav_EvaluateRiskFacilities")]
        public Guid EVALUATION_RISK_ID { get; set; }

        /// <summary>
        /// 相关设施
        /// </summary>
        [Description("相关设施")]
        [DataFieldForeignKey("Nav_Facilities")]
        [FormFieldEdit]
        public Guid FACILITIES_ID { get; set; }

        /// <summary>
        /// 导航属性：危险源及风险库
        /// </summary>
        [Description("导航属性：危险源及风险库")]
        public T_HM_EVALUATE_RISK Nav_EvaluationRisk { get; set; }

        /// <summary>
        /// 导航属性：相关设施
        /// </summary>
        [Description("导航属性：相关设施")]
        public T_HM_FACILITIES Nav_Facilities { get; set; }
    }
}
